Last Comment Bug 779077 - Don't focus the content area when closing a places context menu (Port Bug 776271)
: Don't focus the content area when closing a places context menu (Port Bug 776...
Status: RESOLVED FIXED
[good first bug][lang=js][mentor=Phil...
:
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.14
Assigned To: Tony Mechelynck [:tonymec]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 03:20 PDT by Philip Chee
Modified: 2012-08-23 07:50 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
patch v0 (1.16 KB, patch)
2012-07-31 12:00 PDT, Tony Mechelynck [:tonymec]
philip.chee: review+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Philip Chee 2012-07-31 03:20:01 PDT
From Bug 776271:
> This was added in bug 365171. Whereas this.focus() in buildContextMenu is
> gone by now, this seems to be a leftover. As far as I can tell, no special
> treatment is needed. Focus should just go back to where it was.
Comment 1 Tony Mechelynck [:tonymec] 2012-07-31 12:00:32 PDT
Created attachment 647629 [details] [diff] [review]
patch v0
Comment 2 Philip Chee 2012-08-02 03:18:06 PDT
Comment on attachment 647629 [details] [diff] [review]
patch v0

Looks good. No related errors in the error console. r=me
Comment 3 Philip Chee 2012-08-02 03:23:30 PDT
Pushed:
http://hg.mozilla.org/comm-central/rev/8ba28b3daf3c
Comment 4 Tony Mechelynck [:tonymec] 2012-08-05 21:38:58 PDT
Comment on attachment 647629 [details] [diff] [review]
patch v0

[Approval Request Comment]
Regression caused by (bug #): bug 365171 FIXED 2006-12-28. This is an identical Sm port of Fx bug 776271.
User impact if declined: focus behaviour remains bad after right-click
Testing completed (on m-c, etc.): FIXED on Firefox (m-c) since Jul.31, on SeaMonkey (c-c) since Aug.02
Risk to taking this patch (and alternatives if risky): risk quasi null (removes a single focus() statement)
String changes made by this patch: none
Comment 5 Tony Mechelynck [:tonymec] 2012-08-09 17:07:59 PDT
sorry I forgot to add Cc when asking for approval, see comment #4.
Comment 6 Justin Wood (:Callek) 2012-08-22 15:14:00 PDT
http://hg.mozilla.org/releases/comm-beta/rev/194320465afc

Note You need to log in before you can comment on or make changes to this bug.